<template>
  <div>
    <v-toolbar
      dark
      prominent
      image="https://cdn.vuetifyjs.com/images/backgrounds/vbanner.jpg"
    >
      <v-app-bar-nav-icon></v-app-bar-nav-icon>

      <v-toolbar-title>Vuetify 3 Kissada Cafe</v-toolbar-title>

      <v-spacer></v-spacer>

      <v-btn icon>
        <v-icon>mdi-export</v-icon>
      </v-btn>
    </v-toolbar>
  </div>
  <v-card class="mx-auto" max-width="600" style="margin-top: 30px;">
    <v-img
      src="https://www.forfur.com/img/I74/l_7345_15529205441420833101.jpg"
      height="200px"
      cover
    ></v-img>
    <v-card-item>
      <v-card-title>Kissada Cafe</v-card-title>

      <v-card-subtitle>
        <span class="me-1">Local Favorite</span>

        <v-icon color="error" icon="mdi-fire-circle" size="small"></v-icon>
      </v-card-subtitle>
    </v-card-item>
    <v-card-text>
      <v-row align-content="center" class="mx-0">
        <v-rating
          :model-value="4.5"
          color="amber"
          density="compact"
          half-increments
          readonly
          size="small"
        ></v-rating>

        <div class="text-grey ms-4">4.5 (413)</div>
      </v-row>

      <div class="my-4 text-subtitle-1">$ • Italian, Cafe</div>

      <div>
        Small plates, salads & sandwiches - an intimate setting with 12 indoor
        seats plus patio seating.
      </div>
    </v-card-text>

    <v-container fluid>
      <v-row dense>
        <v-col v-for="card in cards" :key="card.title" :cols="card.flex">
          <v-card>
            <v-img
              :src="card.src"
              class="align-end"
              gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
              height="250px"
            >
              <v-card-title
                class="text-white"
                v-text="card.title"
              ></v-card-title>
            </v-img>

            <v-card-actions>
              <v-spacer></v-spacer>
              <v-btn
                :icon="buttonIcon(card.title)"
                @click="show[card.title] = !show[card.title]"
              ></v-btn>
              <v-btn
                size="small"
                color="surface-variant"
                variant="text"
                icon="mdi-heart"
              ></v-btn>

              <v-btn
                size="small"
                color="surface-variant"
                variant="text"
                icon="mdi-bookmark"
              ></v-btn>

              <v-btn
                size="small"
                color="surface-variant"
                variant="text"
                icon="mdi-share-variant"
              ></v-btn>
            </v-card-actions>
            <v-expand-transition>
              <div v-show="show[card.title]">
                <v-divider></v-divider>
                <!-- <v-card-text v-text="card.data"> </v-card-text> -->
                <v-container fluid>
                  <v-row dense>
                    <v-card>
                      <v-img
                        :src="card.srcItem1"
                        class="align-end"
                        gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                        height="250px"
                      >
                        <v-card-title
                          class="text-white"
                          v-text="card.menuItem1"
                        ></v-card-title>
                      </v-img>
                    </v-card>
                  </v-row>
                </v-container>
              </div>
            </v-expand-transition>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </v-card>
</template>

<script>
export default {
  data: () => ({
    cards: [
      {
        title: "Munu Fast food",
        src: "https://wallpaperbat.com/img/181996-3840x2160-healthy-fibrous-foods-wallpaper-high-resolution-food.jpg",
        flex: 12,
        menuItem1: "French fries",
        srcItem1:
          "https://img.wongnai.com/p/1920x0/2018/12/01/7c438f316f47480a81d87220b6d3ab85.jpg",
      },
      {
        title: "Munu Drink",
        src: "https://cocoaday.com/upload-img/DRINKS/1024x1024_%E0%B8%A3%E0%B8%B9%E0%B8%9B%E0%B9%80%E0%B8%84%E0%B8%A3%E0%B8%B7%E0%B9%88%E0%B8%AD%E0%B8%87%E0%B8%94%E0%B8%B7%E0%B9%88%E0%B8%A1_-_Cocoa-11.png",
        flex: 12,
        menuItem1: "Orange Juice",
        srcItem1:
          "https://cdn.healthyrecipes101.com/recipes/images/juices/whiskey-orange-juice-recipe-1-clamc71m000f4pw1b96tg46zj.webp?w=1080&q=75",
      },
      {
        title: "Menu Dessert",
        src: "https://cdn.hswstatic.com/gif/desserts-update.jpg",
        flex: 12,
        menuItem1: "Snickers rolls",
        srcItem1:
          "https://img.taste.com.au/pGqE8MUL/w354-h236-cfill-q80/taste/2016/11/snickers-rolls-26145-1.jpeg",
      },
    ],

    show: {
      "Munu Fast food": false,
      "Munu Drink": false,
      "Menu Dessert": false,
    },
  }),
  computed: {
    buttonIcon() {
      return (title) => {
        return this.show[title] ? "mdi-chevron-up" : "mdi-chevron-down";
      };
    },
  },
};
</script>

<style>
</style>